activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMQ-3859) To tight version range in activemq features file
Date Thu, 24 May 2012 04:12:40 GMT
Claus Ibsen created AMQ-3859:
--------------------------------

             Summary: To tight version range in activemq features file
                 Key: AMQ-3859
                 URL: https://issues.apache.org/jira/browse/AMQ-3859
             Project: ActiveMQ
          Issue Type: Improvement
    Affects Versions: 5.6.0
            Reporter: Claus Ibsen
             Fix For: 5.7.0


See the feature file
https://issues.apache.org/jira/browse/KARAF-1497?focusedCommentId=13282170#comment-13282170

Notice that the activemq-camel feature is hardcoded to 2.9.2 version of Camel

{code:xml}
<feature name="activemq-camel" version="5.6.0" resolver="(obr)">
<feature version="5.6.0">activemq</feature>
<feature version="2.9.2">camel-jms</feature>
<bundle>mvn:org.apache.activemq/activemq-camel/5.6.0</bundle>
</feature>
{code}

That should be a version range IMHO. But I can't remember if Karaf supports this. But basically
it should be something alike, if supported by Karaf:

<feature version="[2.9,3)">camel-jms</feature>


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message